unit uFrmTestLogger;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls, ULBLogger;

type

  { TfrmTestLogger }

  TfrmTestLogger = class(TForm)
    btnCreate: TButton;
    btnWrite: TButton;
    edMessage: TEdit;
    GroupBox1: TGroupBox;
    procedure btnCreateClick(Sender: TObject);
    procedure btnWriteClick(Sender: TObject);
  private
    FLBLogger : ILBLogger;
  public
    { public declarations }
  end;

var
  frmTestLogger: TfrmTestLogger;

implementation

{$R *.lfm}

{ TfrmTestLogger }

procedure TfrmTestLogger.btnCreateClick(Sender: TObject);
var
  _Logger : TLBLogger;

begin
  if FLBLogger = nil then
  begin
    _Logger := TLBLogger.Create;
    _Logger.FileName := 'TestLogger';
    _Logger.FilePath := ExtractFilePath(Application.ExeName) + 'logs';
    _Logger.Write(1, 'TfrmTestLogger.btnCreateClick', lmt_Info, 'Logger created!', GetProcessID);
    FLBLogger := _Logger as ILBLogger;
  end;
end;

procedure TfrmTestLogger.btnWriteClick(Sender: TObject);
var
  _Msg : String;

begin
  if FLBLogger <> nil then
  begin
    _Msg := Trim(edMessage.Text);
    if Length(_Msg) > 0 then
      FLBLogger.Write(1, 'TfrmTestLogger.btnWriteClick', lmt_Info, PChar(_Msg), GetProcessID);
  end;
end;

end.

